## singularity-ce-4.3.1.tar.gz

=== third_party/squashfuse/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.







am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/squashfuse
pkglibdir = $(libdir)/squashfuse
pkglibexecdir = $(libexecdir)/squashfuse
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
bin_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2)
noinst_PROGRAMS = $(am__EXEEXT_3)
am__append_1 = libfuseprivate.la

# High-level squashfuse
am__append_2 = squashfuse
am__append_3 = squashfuse.1

# Low-level squashfuse_ll, if supported

# convenience lib so we can link squashfuse_ll statically
am__append_4 = libsquashfuse_ll_convenience.la

# squashfuse_ll library we will install
am__append_5 = libsquashfuse_ll.la

# squashfuse_ll binary that's statically linked against internal libs
am__append_6 = squashfuse_ll
am__append_7 = squashfuse_ll.1
am__append_8 = squashfuse_ll.pc
am__append_9 = ll.h

# Sample program squashfuse_ls
# Sample program squashfuse_extract
am__append_10 = squashfuse_ls squashfuse_extract
TESTS = $(am__append_11) $(am__append_12) $(am__append_13) \
	$(am__EXEEXT_4) $(am__append_15)
am__append_11 = tests/ll-smoke.sh \
	tests/notify_test.sh
# I know this test looks backwards, but the default smoke test is multithreaded
# when threading is enabled. So we additionally run a singlethreaded test in
# that case.
am__append_12 = tests/ll-smoke-singlethreaded.sh
#am__append_13 = tests/umount-test.sh
check_PROGRAMS = cachetest$(EXEEXT) \
	endiantest$(EXEEXT)
am__append_14 = cachetest endiantest
am__append_15 = tests/ls.sh
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/squashfuse.m4 \
	$(top_srcdir)/m4/squashfuse_c.m4 \
	$(top_srcdir)/m4/squashfuse_decompress.m4 \
	$(top_srcdir)/m4/squashfuse_fuse.m4 \
	$(top_srcdir)/m4/squashfuse_posix.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__pkginclude_HEADERS_DIST) \
	$(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = tests/ll-smoke.sh \
	tests/ll-smoke-singlethreaded.sh tests/umount-test.sh \
	squashfuse.pc squashfuse_ll.pc tests/lib.sh ci/features
CONFIG_CLEAN_VPATH_FILES =
am__EXEEXT_1 = squashfuse$(EXEEXT)
am__EXEEXT_2 = squashfuse_ll$(EXEEXT)
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libdir)" \
	"$(DESTDIR)$(man1dir)" "$(DESTDIR)$(pkgconfigdir)" \
	"$(DESTDIR)$(pkgincludedir)" "$(DESTDIR)$(pkgincludedir)"
am__EXEEXT_3 = squashfuse_ls$(EXEEXT) \
	squashfuse_extract$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
libfuseprivate_la_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2) $(am__DEPENDENCIES_1)
am__libfuseprivate_la_SOURCES_DIST = fuseprivate.c nonstd-makedev.c \
	nonstd-enoattr.c fuseprivate.h stat.h stat.c
am_libfuseprivate_la_OBJECTS =  \
	libfuseprivate_la-fuseprivate.lo \
	libfuseprivate_la-nonstd-makedev.lo \
	libfuseprivate_la-nonstd-enoattr.lo \
	libfuseprivate_la-stat.lo
libfuseprivate_la_OBJECTS = $(am_libfuseprivate_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
am_libfuseprivate_la_rpath =
libsquashfuse_la_DEPENDENCIES = libsquashfuse_convenience.la
am_libsquashfuse_la_OBJECTS =
libsquashfuse_la_OBJECTS = $(am_libsquashfuse_la_OBJECTS)
libsquashfuse_convenience_la_DEPENDENCIES = $(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_1)
am_libsquashfuse_convenience_la_OBJECTS =  \
	libsquashfuse_convenience_la-swap.lo \
	libsquashfuse_convenience_la-cache.lo \
	libsquashfuse_convenience_la-table.lo \
	libsquashfuse_convenience_la-dir.lo \
	libsquashfuse_convenience_la-file.lo \
	libsquashfuse_convenience_la-fs.lo \
	libsquashfuse_convenience_la-decompress.lo \
	libsquashfuse_convenience_la-xattr.lo \
	libsquashfuse_convenience_la-hash.lo \
	libsquashfuse_convenience_la-stack.lo \
	libsquashfuse_convenience_la-traverse.lo \
	libsquashfuse_convenience_la-util.lo \
	libsquashfuse_convenience_la-nonstd-pread.lo \
	libsquashfuse_convenience_la-nonstd-stat.lo \
	libsquashfuse_convenience_la-cache_mt.lo
libsquashfuse_convenience_la_OBJECTS =  \
	$(am_libsquashfuse_convenience_la_OBJECTS)
libsquashfuse_ll_la_DEPENDENCIES =  \
	libsquashfuse_ll_convenience.la \
	$(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_1)
am_libsquashfuse_ll_la_OBJECTS =
libsquashfuse_ll_la_OBJECTS = $(am_libsquashfuse_ll_la_OBJECTS)
am_libsquashfuse_ll_la_rpath = -rpath $(libdir)
libsquashfuse_ll_convenience_la_DEPENDENCIES =  \
	libsquashfuse_convenience.la \
	libfuseprivate.la
am__libsquashfuse_ll_convenience_la_SOURCES_DIST = ll.c ll_inode.c \
	nonstd-daemon.c
am_libsquashfuse_ll_convenience_la_OBJECTS =  \
	libsquashfuse_ll_convenience_la-ll.lo \
	libsquashfuse_ll_convenience_la-ll_inode.lo \
	libsquashfuse_ll_convenience_la-nonstd-daemon.lo
libsquashfuse_ll_convenience_la_OBJECTS =  \
	$(am_libsquashfuse_ll_convenience_la_OBJECTS)
am_libsquashfuse_ll_convenience_la_rpath =
am__cachetest_SOURCES_DIST = tests/cachetest.c
am__dirstamp = $(am__leading_dot)dirstamp
am_cachetest_OBJECTS = tests/cachetest.$(OBJEXT)
cachetest_OBJECTS = $(am_cachetest_OBJECTS)
cachetest_DEPENDENCIES = libsquashfuse.la \
	$(am__DEPENDENCIES_2)
am__endiantest_SOURCES_DIST = tests/endiantest.c
am_endiantest_OBJECTS =  \
	tests/endiantest.$(OBJEXT)
endiantest_OBJECTS = $(am_endiantest_OBJECTS)
endiantest_LDADD = $(LDADD)
am__squashfuse_SOURCES_DIST = hl.c
am_squashfuse_OBJECTS =  \
	squashfuse-hl.$(OBJEXT)
squashfuse_OBJECTS = $(am_squashfuse_OBJECTS)
squashfuse_DEPENDENCIES =  \
	libsquashfuse_convenience.la \
	libfuseprivate.la \
	$(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_1)
am__squashfuse_extract_SOURCES_DIST = extract.c stat.h stat.c \
	nonstd-makedev.c nonstd-symlink.c
am_squashfuse_extract_OBJECTS =  \
	squashfuse_extract-extract.$(OBJEXT) \
	squashfuse_extract-stat.$(OBJEXT) \
	squashfuse_extract-nonstd-makedev.$(OBJEXT) \
	squashfuse_extract-nonstd-symlink.$(OBJEXT)
squashfuse_extract_OBJECTS = $(am_squashfuse_extract_OBJECTS)
squashfuse_extract_DEPENDENCIES = libsquashfuse.la \
	$(am__DEPENDENCIES_2) $(am__DEPENDENCIES_1)
am__squashfuse_ll_SOURCES_DIST = ll_main.c
am_squashfuse_ll_OBJECTS =  \
	squashfuse_ll-ll_main.$(OBJEXT)
squashfuse_ll_OBJECTS = $(am_squashfuse_ll_OBJECTS)
squashfuse_ll_DEPENDENCIES =  \
	libsquashfuse_ll_convenience.la \
	$(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_1)
am__squashfuse_ls_SOURCES_DIST = ls.c
am_squashfuse_ls_OBJECTS = ls.$(OBJEXT)
squashfuse_ls_OBJECTS = $(am_squashfuse_ls_OBJECTS)
squashfuse_ls_DEPENDENCIES = libsquashfuse.la \
	$(am__DEPENDENCIES_2)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/libfuseprivate_la-fuseprivate.Plo \
	./$(DEPDIR)/libfuseprivate_la-nonstd-enoattr.Plo \
	./$(DEPDIR)/libfuseprivate_la-nonstd-makedev.Plo \
	./$(DEPDIR)/libfuseprivate_la-stat.Plo \
	./$(DEPDIR)/libsquashfuse_convenience_la-cache.Plo \
	./$(DEPDIR)/libsquashfuse_convenience_la-cache_mt.Plo \
	./$(DEPDIR)/libsquashfuse_convenience_la-decompress.Plo \
	./$(DEPDIR)/libsquashfuse_convenience_la-dir.Plo \
	./$(DEPDIR)/libsquashfuse_convenience_la-file.Plo \
	./$(DEPDIR)/libsquashfuse_convenience_la-fs.Plo \
	./$(DEPDIR)/libsquashfuse_convenience_la-hash.Plo \
	./$(DEPDIR)/libsquashfuse_convenience_la-nonstd-pread.Plo \

=== debian/control ===
Source: singularity-ce
Section: admin
Priority: optional
Maintainer: Sylabs Community Packaging <community@sylabs.io>
Uploaders:
  Sylabs Community Packaging <community@sylabs.io>
Build-Depends:
 autoconf,
 cryptsetup,
 dh-apparmor,
 git,
 libfuse-dev,
 libseccomp-dev,
 libtool,
 pkg-config,
 squashfs-tools,
 zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://sylabs.io/singularity
Vcs-Git: https://github.com/sylabs/singularity.git
Vcs-Browser: https://github.com/sylabs/singularity

Package: singularity-ce
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
  crun (>= 1.5.0) | runc,
  cryptsetup-bin,
  fuse,
  fuse2fs,
  libseccomp2,
  squashfs-tools,
  uidmap
Conflicts:
 singularity-container,
 apptainer,
 singularitypro24,
 singularitypro25,
 singularitypro26,
 singularitypro31,
 singularitypro35,
 singularitypro37,
 singularitypro39,
 singularitypro311
Recommends: squashfs-tools-ng
Description: SingularityCE is the Community Edition of Singularity, an
 open source container platform designed to be simple, fast, and secure.
